Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.loadtest.data
Class StatisticsHistory

    java.lang.Object
      com.eviware.soapui.impl.wsdl.loadtest.data.StatisticsHistory

    public class StatisticsHistory

extends java.lang.Object

Collector of statistics to be exposed as TableModels

Author:
  Ole.Matzura

Nested Class Summary
`class` | `StatisticsHistory.StatisticsHistoryModel`

Constructor Summary
`StatisticsHistory(LoadTestStatistics statistics)`

Method Summary
`long[][]` | `getHistoryAt(int index)`
`long` | `getResolution()`
`int` | `getRowCount()`
`StatisticsHistory.StatisticsHistoryModel` | `getStatisticsValueHistory(LoadTestStatistics.Statistic statistic)`
`StatisticsHistory.StatisticsHistoryModel` | `getTestStepHistory(int testStepIndex)`
`long` | `getThreadCountAt(int index)`
`void` | `reset()`
`void` | `setResolution(long resolution)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatisticsHistory

    public StatisticsHistory(LoadTestStatistics statistics)

Method Detail

### getResolution

    public long getResolution()

### setResolution

    public void setResolution(long resolution)

### getRowCount

    public int getRowCount()

### getHistoryAt

    public long[][] getHistoryAt(int index)

### getThreadCountAt

    public long getThreadCountAt(int index)

### getTestStepHistory

    public StatisticsHistory.StatisticsHistoryModel getTestStepHistory(int testStepIndex)

### getStatisticsValueHistory

    public StatisticsHistory.StatisticsHistoryModel getStatisticsValueHistory(LoadTestStatistics.Statistic statistic)

### reset

    public void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.